Package be.fgov.ehealth.dics.protocol.v5

# Class ValidateProductIdRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.ValidateProductIdRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ValidateProductIdRequest extends RequestType implements Serializable

Java class for ValidateProductIdRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ValidateProductIdRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="ProductId" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidateProductIdRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProductId()`
  Code uniquely identifying a prescribable product on a specific date.
  `void`
  `setProductId(String value)`
  Sets the value of the productId property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidateProductIdRequest

    public ValidateProductIdRequest()

- ## Method Details

  - ### getProductId

    public String getProductId()
    Code uniquely identifying a prescribable product on a specific date. Used to prove the consultation of SAM.
    Returns:
      possible object is `String`

  - ### setProductId

    public void setProductId(String value)
    Sets the value of the productId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductId()`